<nav mat-tab-nav-bar class="margin: 20px 0 20px 0;" [tabPanel]="tabPanel">
  <a mat-tab-link routerLink="home" routerLinkActive="is-active">
    <mat-icon class="margin-right" fontSet="material-icons-outlined"
      >home</mat-icon
    ><span class="headerTxtSpan">Home</span></a
  >
  <a
    mat-tab-link
    routerLink="marketplace"
    [ngClass]="{
      'is-active': isMarketPlaceActive() || isActive('/dashboard/marketplace')
    }"
  >
    <span
      class="icon-marketplace margin-right"
      [ngClass]="
        isActive('/dashboard/marketplace') || isMarketPlaceActive()
          ? 'market-place-icon-active'
          : 'market-place-icon-inactive'
      "
    >
    </span
    ><span class="headerTxtSpan"> Marketplace</span></a
  >
  <a mat-tab-link routerLink="catalogs" routerLinkActive="is-active">
    <span
      class="icon-catalogs margin-right"
      [ngClass]="
        isActive('/dashboard/catalogs')
          ? 'catalogs-icon-active'
          : 'catalogs-icon-inactive'
      "
    >
    </span
    ><span class="headerTxtSpan">Catalogs</span></a
  >
  <a mat-tab-link routerLink="myModels" routerLinkActive="is-active">
    <span
      class="icon-manage_model margin-right"
      [ngClass]="
        isActive('/dashboard/myModels')
          ? 'my-models-icon-active '
          : 'my-models-icon-inactive'
      "
    >
    </span
    ><span class="headerTxtSpan">My models</span></a
  >
  <a mat-tab-link routerLink="onBoardingModel" routerLinkActive="is-active">
    <span
      class="icon-onboarding-model margin-right"
      [ngClass]="
        isActive('/dashboard/onBoardingModel')
          ? 'onboarding-model-icon-active'
          : 'onboarding-model-icon-inactive'
      "
    >
    </span
    ><span class="headerTxtSpan">On-boarding model</span></a
  >
  <a mat-tab-link routerLink="designStudio" routerLinkActive="is-active">
    <span
      class="icon-design_studio margin-right"
      [ngClass]="
        isActive('/dashboard/designStudio')
          ? 'design-studio-icon-active'
          : 'design-studio-icon-inactive'
      "
    >
    </span>
    <span class="headerTxtSpan"> Design studio </span>
  </a>
  <a mat-tab-link routerLink="siteAdmin" routerLinkActive="is-active">
    <mat-icon fontSet="material-icons-outlined" class="margin-right"
      >manage_accounts</mat-icon
    >
    <span class="headerTxtSpan">Site admin</span></a
  >
  <a mat-tab-link routerLink="manageLicense" routerLinkActive="is-active">
    <span
      class="icon_license margin-right"
      [ngClass]="
        isActive('/dashboard/manageLicense')
          ? 'license-profile-icon-active '
          : 'license-profile-icon-inactive '
      "
    >
    </span
    ><span class="headerTxtSpan">Manage License</span></a
  >
  <a mat-tab-link routerLink="publishRequest" routerLinkActive="is-active">
    <span
      class="icon-publish-request margin-right"
      [ngClass]="
        isActive('/dashboard/publishRequest')
          ? 'publish-request-icon-active '
          : 'publish-request-icon-inactive '
      "
    >
    </span
    ><span class="headerTxtSpan">Publish request</span></a
  >
  <a mat-tab-link (click)="onQAndAClick()" routerLinkActive="is-active">
    <span
      class="qa-icon margin-right"
      [ngClass]="
        isActive('/dashboard/QAndA')
          ? 'q-and-a-icon-active '
          : 'q-and-a-icon-inactive'
      "
    >
    </span
    ><span class="headerTxtSpan">Q and A</span></a
  >
</nav>
<mat-tab-nav-panel #tabPanel></mat-tab-nav-panel>
